Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 6 Mar 2017 17:50:14 +0000 (UTC)
From:      Bryan Drewery <bdrewery@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r435560 - in head/devel/ccache: . files
Message-ID:  <201703061750.v26HoEfW077975@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: bdrewery
Date: Mon Mar  6 17:50:14 2017
New Revision: 435560
URL: https://svnweb.freebsd.org/changeset/ports/435560

Log:
  ccache-update-links.sh: Fix removing links to missing compilers.
  
  PR:		217570
  Reported by:	rwmaillists@googlemail.com
  Tested by:	rwmaillists@googlemail.com

Modified:
  head/devel/ccache/Makefile
  head/devel/ccache/files/ccache-update-links.sh.in

Modified: head/devel/ccache/Makefile
==============================================================================
--- head/devel/ccache/Makefile	Mon Mar  6 17:48:26 2017	(r435559)
+++ head/devel/ccache/Makefile	Mon Mar  6 17:50:14 2017	(r435560)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ccache
 PORTVERSION=	3.3.4
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://www.samba.org/ftp/ccache/ \
 		LOCAL/bdrewery

Modified: head/devel/ccache/files/ccache-update-links.sh.in
==============================================================================
--- head/devel/ccache/files/ccache-update-links.sh.in	Mon Mar  6 17:48:26 2017	(r435559)
+++ head/devel/ccache/files/ccache-update-links.sh.in	Mon Mar  6 17:50:14 2017	(r435560)
@@ -29,6 +29,22 @@ in
 	;;
 esac
 
+strip_path() {
+	local IFS=":"
+	local path
+	set -- ${PATH}
+	while [ $# -gt 0 ]; do
+		if ! [ "${1}" = "${PREFIX}/libexec/ccache" ]; then
+			path="${path}${path:+:}${1}"
+		fi
+		shift
+	done
+	echo "${path}"
+}
+
+# Remove ccache wrappers from PATH
+PATH=$(strip_path)
+
 # create compiler links
 for comp in ${CCACHE_COMPILERS}
 do



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201703061750.v26HoEfW077975>